POSTunsafe_pay

Sui Mainnethttps://sui-mainnet.nodit.io/

Send Coin to a list of addresses, where T can be any coin type, following a list of amounts, The object specified in the gas field will be used to pay the gas fee for the transaction. The gas object can not appear in input_coins. If the gas object is not specified, the RPC server will auto-select one.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required
params[0]string

Hex string encoding.

params[1]string[]

The Sui coins to be used in this transaction

params[2]string[]

The Sui coins to be used in this transaction

params[3]string[]

The Sui coins to be used in this transaction

params[4]string

Hex string encoding.

params[5]string

Hex string encoding.

Responses
jsonrpcstring
idinteger
gasobject[]required

the gas objects to be used

digeststringrequired

Base64 string representing the object digest

objectIdstringrequired

Hex code as string representing the object id

versioninteger (uint64)required

Object version.

inputObjectsoneOf[]required

objects to be used in this transaction

object 1object
MovePackagestringrequired

Hex string encoding.

object 2object
ImmOrOwnedMoveObjectobjectrequired
digeststringrequired

Base64 string representing the object digest

objectIdstringrequired

Hex code as string representing the object id

versioninteger (uint64)required

Object version.

object 3object
SharedMoveObjectobjectrequired
idstringrequired

Hex string encoding.

initial_shared_versionstringrequired
mutableboolean
txBytesstringrequired

BCS serialized transaction data bytes without its type tag, as base-64 encoded string.

X-API-KEY
RequestCU350
cURL
curl -X POST "https://sui-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "unsafe_pay",
  "params": [
    "0x278ae6b78bddb5eea883f3aa128b825ec063fafc5c2efa3e6216a3ea612c3e29",
    [
      "0x2080166125903258dad22a13167c4baacede40abbb95a99b73e845700e9946ba",
      "0x803070324a600994b6e4fc72023feab51299056895bd6d99a579398b57d91e30"
    ],
    [
      "0xccb978e6e5bfc1f026b58dd6af3877d9523526b1ea84b943fb9589506de394a7",
      "0xe23ae882a87078749ba09f2346b51ea3f2fc46eaa789351672c5bba5954a7f61"
    ],
    [
      "1000000000",
      "2000000000"
    ],
    "0x0e0c17899d62db2c55e34a4166ccf43349c4f7820ddb9f1d6e42b336eb4cbb71",
    "10000000"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "string",
  "id": 0,
  "result": {
    "gas": [
      {
        "digest": "string",
        "objectId": "string",
        "version": 0
      }
    ],
    "inputObjects": [
      {}
    ],
    "txBytes": "string"
  }
}